Summary: User & Group administration tools for Samba-OpenLDAP
Name: smbldap-tools
Version: 0.9.2
Release: alt0
Group: System/Configuration/Networking
BuildArch: noarch
License: GPL
Url: http://samba.idealx.org/index.en.html
Source0: http://samba.idealx.org/dist/smbldap-tools-%version.tgz
Source1: http://samba.idealx.org/smbldap-tools.en.html
Source2: http://samba.idealx.org/smbldap-howto.en.html
Source3: smbldap-howto_20060710.pdf
Patch1: smbldap-tools-0.9.2-alt-separate_users_and_groups_in_smbldap_migrate_unix_accounts.patch
Patch2: smbldap-tools-0.9.2-fix_UTF-8_usage-alt-smbldap-usermod.patch

Requires: perl >= 5.6, samba, perl-ldap, perl-Crypt-SmbHash, perl-Digest-SHA1, perl-Unicode-MapUTF8, perl-Encode-JP, perl(FindBin.pm), perl(Getopt/Std.pm), perl(MIME/Base64.pm), perl(Net/LDAP.pm), perl(Net/LDAP/LDIF.pm), perl(Unicode/MapUTF8.pm), perl(lib.pm), perl-base
AutoReq: yes, noperl
BuildRequires: samba, perl-ldap, perl-Crypt-SmbHash, perl-Digest-SHA1, perl-Unicode-MapUTF8, perl-Encode-JP

%description
In settings with OpenLDAP and Samba-LDAP servers, this collection is
useful to add, modify and delete users and groups, and to change
Unix and Samba passwords. In those context they replace the system
tools to manage users, groups and passwords.

%prep
%setup
%patch1 -p1
%patch2 -p0
cp %SOURCE2 %SOURCE1 ./doc/
cp %SOURCE3 ./doc/smbldap-howto.pdf
echo '# idmapinplace="0"' >> smbldap.conf
%__subst "s,/opt/IDEALX/sbin,%_sbindir," *.conf configure.pl
%__subst "s,/etc/opt/IDEALX,%_sysconfdir," *.conf configure.pl smbldap-populate smbldap_tools.pm doc/smbldap-tools.en.html

%build
%install
%makeinstall
mv doc/smbldap-migrate-unix-accounts %buildroot%_sbindir/smbldap-migrate-unix-accounts
mv doc/smbldap-migrate-unix-groups %buildroot%_sbindir/smbldap-migrate-unix-groups

%files
%_sbindir/*
%doc CONTRIBUTORS COPYING ChangeLog FILES INFRA README INSTALL TODO
%doc smb.conf smbldap.conf smbldap_bind.conf configure.pl
%doc doc/html doc/smbldap-*.en.html doc/*.pdf
%defattr(644,root,root)
%config(noreplace) %_sysconfdir/smbldap-tools/smbldap.conf
%defattr(600,root,root)
%config(noreplace) %_sysconfdir/smbldap-tools/smbldap_bind.conf

%changelog
* Thu Aug 03 2006 Slava Dubrovskiy <dubrsl@altlinux.ru> 0.9.2-alt0
- NMU: Fix #9839, #9912, #9840, 9913
- New virsion (#9839)
- Removed ALL patches (#9840)
- Add smbldap-tools-0.9.2-alt-separate_users_and_groups_in_smbldap_migrate_unix_accounts.patch (#9913)
- Add %_sbindir/smbldap-migrate-unix-accounts and %_sbindir/smbldap-migrate-unix-groups (#9912)
- Added patch to fix UTF-8 usage on smbldap-usermod.
- Add smbldap-howto.pdf
- Update BuildRequires: added perl-Unicode-MapUTF8, perl-Encode-JP
- Update Requires: added perl-Unicode-MapUTF8, perl-Encode-JP, perl(FindBin.pm), perl(Getopt/Std.pm), 
  perl(MIME/Base64.pm), perl(Net/LDAP.pm), perl(Net/LDAP/LDIF.pm), perl(Unicode/MapUTF8.pm), perl(lib.pm), perl-base

* Mon May 29 2006 Eugene V. Horohorin <genix@altlinux.ru> 0.9.1-alt4.2
- NMU: in-place idmap fix

* Wed Dec 07 2005 Nick S. Grechukh <gns@altlinux.org> 0.9.1-alt4.1
- new version works without slappasswd, so add Require: perl-Digest-SHA1.
- patched for optional in-place idmap (as described at http://www.freesource.info/wiki/ALTLinux/Dokumentacija/samba/idmapldap)

* Mon Aug 16 2004 Nick S. Grechukh <gns@altlinux.ru> 0.8.5-alt1
- first build for sisyphus. specfile from idealx.org adopted for ALT.

* Fri Nov 28 2003 Jerome Tournier <jerome.tournier@idealx.com> 0.8.2-1
- see Changelog file for updates in scripts
